PHP Manual
Prev |  | Next

# sqlite_seek

(PHP 5)

sqlite_seek

(no version information, might be only in CVS)

SQLiteResult->seek -- Seek to a particular row number of a buffered result set

## Description

bool sqlite_seek ( resource result, int rownum )

Object oriented style (method):

class SQLiteResult {
bool seek ( int rownum )
}

sqlite_seek() seeks to the row given by the parameter rownum.

## Parameters

result

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Note: This function cannot be used with unbuffered result handles.

rownum

  The ordinal row number to seek to. The row number is zero-based (0 is the first row).

  > Note: This function cannot be used with unbuffered result handles.

## Return Values

Returns `FALSE` if the row does not exist, `TRUE` otherwise.

## See Also

sqlite_next()
sqlite_current()
sqlite_rewind()

Prev | Home | Next
sqlite_rewind | Up | sqlite_single_query